Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface XMLRegistryMBean

public interface XMLRegistryMBean
extends ConfigurationMBean

Configure the behavior of JAXP (Java API for XML Parsing) in the server.

Author:
  Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addEntitySpecRegistryEntry(XMLEntitySpecRegistryEntryMBean entry)` Add a new EntitySpec registry entry
`boolean` | `addParserSelectRegistryEntry(XMLParserSelectRegistryEntryMBean entry)` Add a new ParserSelect registry entry
`boolean` | `addRegistryEntry(XMLRegistryEntryMBean entry)` Deprecated.
`java.lang.String` | `getDocumentBuilderFactory()` Return the class name of the default DocumentBuilderFactory
`XMLEntitySpecRegistryEntryMBean[]` | `getEntitySpecRegistryEntries()` Return the set of EntitySpec registry entries.
`XMLParserSelectRegistryEntryMBean[]` | `getParserSelectRegistryEntries()` Return the set of ParserSelect registry entries.
`XMLRegistryEntryMBean[]` | `getRegistryEntries()` Deprecated.
`java.lang.String` | `getSAXParserFactory()` Return the class name of the default SAXParserFactory
`java.lang.String` | `getTransformerFactory()` Return the class name of the default TransformerFactory
`java.lang.String` | `getWhenToCache()` Set whether to cache items as soon as possible or wait until referenced.
`boolean` | `removeEntitySpecRegistryEntry(XMLEntitySpecRegistryEntryMBean entry)` Remove a EntitySpec registry entry
`boolean` | `removeParserSelectRegistryEntry(XMLParserSelectRegistryEntryMBean entry)` Remove a ParserSelect registry entry
`boolean` | `removeRegistryEntry(XMLRegistryEntryMBean entry)` Deprecated.
`void` | `setDocumentBuilderFactory(java.lang.String factoryClassName)` Set the default DocumentBuilderFactory
`void` | `setEntitySpecRegistryEntries(XMLEntitySpecRegistryEntryMBean[] entries)` Set the set of EntitySpec registry entries.
`void` | `setParserSelectRegistryEntries(XMLParserSelectRegistryEntryMBean[] entries)` Set the set of ParserSelect registry entries.
`void` | `setRegistryEntries(XMLRegistryEntryMBean[] entries)` Deprecated.
`void` | `setSAXParserFactory(java.lang.String factoryClassName)` Set the default SAXParserFactory
`void` | `setTransformerFactory(java.lang.String factoryClassName)` Set the default TransformerFactory
`void` | `setWhenToCache(java.lang.String cacheOnDeploy)` Returns whether to cache items as soon as possible or wait until referenced.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getDocumentBuilderFactory

    public java.lang.String getDocumentBuilderFactory()

  Return the class name of the default DocumentBuilderFactory

  Default Value: "weblogic.apache.xerces.jaxp.DocumentBuilderFactoryImpl"

### setDocumentBuilderFactory

    public void setDocumentBuilderFactory(java.lang.String factoryClassName)
                                   throws javax.management.InvalidAttributeValueException

  Set the default DocumentBuilderFactory

  A dynamic MBean attribute

### getSAXParserFactory

    public java.lang.String getSAXParserFactory()

  Return the class name of the default SAXParserFactory

  Default Value: "weblogic.apache.xerces.jaxp.SAXParserFactoryImpl"

### setSAXParserFactory

    public void setSAXParserFactory(java.lang.String factoryClassName)
                             throws javax.management.InvalidAttributeValueException

  Set the default SAXParserFactory

  A dynamic MBean attribute

### getTransformerFactory

    public java.lang.String getTransformerFactory()

  Return the class name of the default TransformerFactory

  Default Value: "weblogic.apache.xalan.processor.TransformerFactoryImpl"

### setTransformerFactory

    public void setTransformerFactory(java.lang.String factoryClassName)
                               throws javax.management.InvalidAttributeValueException

  Set the default TransformerFactory

  A dynamic MBean attribute

### addRegistryEntry

    public boolean addRegistryEntry(XMLRegistryEntryMBean entry)

  Deprecated.
  Add a new pre-Silversword style registry entry

  A dynamic MBean attribute

### removeRegistryEntry

    public boolean removeRegistryEntry(XMLRegistryEntryMBean entry)

  Deprecated.
  Remove an pre-Silversword style registry entry

  A dynamic MBean attribute

### getRegistryEntries

    public XMLRegistryEntryMBean[] getRegistryEntries()

  Deprecated.
  Return the set of pre-Silversword style registry entries.

### setRegistryEntries

    public void setRegistryEntries(XMLRegistryEntryMBean[] entries)
                            throws javax.management.InvalidAttributeValueException

  Deprecated.
  Set the set of pre-Silversword style registry entries.

  A dynamic MBean attribute
  A non-configurable MBean attribute.

### addParserSelectRegistryEntry

    public boolean addParserSelectRegistryEntry(XMLParserSelectRegistryEntryMBean entry)

  Add a new ParserSelect registry entry

  A dynamic MBean attribute

### removeParserSelectRegistryEntry

    public boolean removeParserSelectRegistryEntry(XMLParserSelectRegistryEntryMBean entry)

  Remove a ParserSelect registry entry

  A dynamic MBean attribute

### getParserSelectRegistryEntries

    public XMLParserSelectRegistryEntryMBean[] getParserSelectRegistryEntries()

  Return the set of ParserSelect registry entries.

### setParserSelectRegistryEntries

    public void setParserSelectRegistryEntries(XMLParserSelectRegistryEntryMBean[] entries)
                                        throws javax.management.InvalidAttributeValueException

  Set the set of ParserSelect registry entries.

  A dynamic MBean attribute
  A non-configurable MBean attribute.

### addEntitySpecRegistryEntry

    public boolean addEntitySpecRegistryEntry(XMLEntitySpecRegistryEntryMBean entry)

  Add a new EntitySpec registry entry

  A dynamic MBean attribute
  Returns:
    `true` if the EntitySpec was added correctly and `false` if the EntitySpec already exists and is unchanged by the current operation

### removeEntitySpecRegistryEntry

    public boolean removeEntitySpecRegistryEntry(XMLEntitySpecRegistryEntryMBean entry)

  Remove a EntitySpec registry entry

  A dynamic MBean attribute

### getEntitySpecRegistryEntries

    public XMLEntitySpecRegistryEntryMBean[] getEntitySpecRegistryEntries()

  Return the set of EntitySpec registry entries.

### setEntitySpecRegistryEntries

    public void setEntitySpecRegistryEntries(XMLEntitySpecRegistryEntryMBean[] entries)
                                      throws javax.management.InvalidAttributeValueException

  Set the set of EntitySpec registry entries.

  A dynamic MBean attribute
  A non-configurable MBean attribute.

### getWhenToCache

    public java.lang.String getWhenToCache()

  Set whether to cache items as soon as possible or wait until referenced.

  Default Value: "cache-on-reference"
  Legal Values: "cache-on-reference","cache-at-initialization","cache-never"

### setWhenToCache

    public void setWhenToCache(java.lang.String cacheOnDeploy)

  Returns whether to cache items as soon as possible or wait until referenced.

  A dynamic MBean attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference